.cards {
    display: flex;
    flex-direction: column;
    gap: 20px;

    &__container {
        --count-card-in-row: 6;
        --gap: 20px;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
        gap: var(--gap);

        &:not(:last-child) {
            margin-bottom: 20px;
        }
    }

    &__item {
        width: calc((100% - var(--gap) * (var(--count-card-in-row) - 1)) / var(--count-card-in-row));
        box-shadow: 0 7px 20px 5px #00000088;
        background-color: #282c34;
        background: linear-gradient(0deg, rgba(40,44,52,1) 0%, rgba(17,0,32,.5) 100%);
        border-radius: 12px;
        padding: 38px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content:center;
        text-align: center;
        gap: 12px;

        &::before {
            position: fixed;
            content: "";
            box-shadow: 0 0 100px 40px #ffffff08;
            top: -10%;
            left: -100%;
            transform: rotate(-45deg);
            height: 60rem;
            transition: .7s all;
        }
        &:hover{
            box-shadow: 0 7px 50px 10px #000000aa;
            transform: scale(1.015);
            filter: brightness(1.3);
        }
    }
}

.card__name {
    margin: 0;
    color: #ee83e5;
    font-size: 28px;
}

.card__id {
    margin: 0;
    color: #a89ec9;
    font-size: 16px;
}

.btn {
    cursor: pointer;
    border: none;
    padding: 12px 24px;
    border-radius: 24px;
    font-size: 14px;
    letter-spacing: 2px;
    transition: background-color 0.3s ease-in-out;

    &:focus-visible {
        outline-offset: 3px;
        outline: 1px solid #ee83e5;
    }

    &:hover {
        outline: none;
        background-color: #ee83e5;
    }

    &:active {
        outline: none;
        background-color: #6e1867;
    }
}